
Foreman - Tracker #31142

New report model and import/view mechanism

10/23/2020 02:47 PM - Lukas Zapletal

Status: New % Done: 0%

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Reporting   

Target version:    

Difficulty: hard Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1965246 Red Hat JIRA:  

Description

Reports are slow, refactor how we store them from scratch. New plugin and proxy plugin will be created, we can later on consider

merging them into core.

The full plan is in the README: https://github.com/theforeman/foreman_host_reports

Discussion on how we did get there:

https://community.theforeman.org/t/rfc-optimized-reports-storage/15573

Related issues:

Related to Foreman - Feature #31144: Create performance test to compare with ... Rejected

Related to Foreman - Feature #31145: Create ReportTranscript model, import AP... Rejected

Related to Foreman - Feature #31154: Optimize data during report import Rejected

Related to Foreman - Feature #31184: Optimize Puppet report format payload Rejected

Related to Foreman - Bug #31218: Disable parameter wrapping for reports Rejected

Related to Foreman - Feature #31927: Store environment and configuration_vers... New

Related to Foreman - Bug #32254: Add deprecation warnings for old report API Rejected

Related to Foreman - Feature #32687: Make the importing mechanism secure Rejected

Related to OpenSCAP - Feature #33331: Store reports more efficiently Ready For Testing

History

#1 - 10/23/2020 02:48 PM - Lukas Zapletal

- Description updated

#2 - 10/23/2020 02:53 PM - Lukas Zapletal

- Description updated

- Category set to Reporting

#3 - 10/23/2020 02:59 PM - Lukas Zapletal

- Description updated

#4 - 10/23/2020 02:59 PM - Lukas Zapletal

- Related to Feature #31144: Create performance test to compare with the legacy ConfigReport added

#5 - 10/23/2020 03:03 PM - Lukas Zapletal

- Related to Feature #31145: Create ReportTranscript model, import API and Puppet importer and view API added

#6 - 10/23/2020 04:50 PM - Lukas Zapletal

- Related to Feature #31154: Optimize data during report import added

#7 - 10/27/2020 01:24 PM - Lukas Zapletal
- Related to Feature #31184: Optimize Puppet report format payload added

#8 - 10/30/2020 08:31 AM - Lukas Zapletal

- Related to Bug #31218: Disable parameter wrapping for reports added

#9 - 02/19/2021 04:09 PM - Lukas Zapletal

- Related to Feature #31927: Store environment and configuration_version in puppet config reports added

#10 - 04/06/2021 11:33 AM - Lukas Zapletal

- Related to Bug #32254: Add deprecation warnings for old report API added

#11 - 05/12/2021 09:02 AM - Lukas Zapletal

- Description updated

#12 - 05/27/2021 09:31 AM - Lukas Zapletal

- Bugzilla link set to 1965246

#13 - 06/01/2021 12:26 PM - Lukas Zapletal

- Related to Feature #32687: Make the importing mechanism secure added

#14 - 08/24/2021 12:40 PM - Lukas Zapletal

- Related to Feature #33331: Store reports more efficiently added
